Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Aiuto emerge!!!
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed May 06, 2009 8:35 am    Post subject: Aiuto emerge!!! Reply with quote

Ciao a tutti!!!
Da pochi giorni che uso gentoo, ma subito ho avuto delle difficoltà con il sistema di pacchetti emerge... Ho installato gentoo da una livecd ormai un po vecchia e volevo aggiornare il sistema, allora ho dato il comando " emerge --sync " e fin qui tutto ok , ma quando lancio emerge -uDav world ottengo un errore dovuto a un pacchetto bloccato che non so risolvere!! Ho provato a rimuovere il pacchetto che dava questi problemi ma non sono riuscito ad arrivare a niente....
Posto l'output di emerge ....
Code:

[ebuild  N    ] sys-apps/man-pages-posix-2003a  949 kB
[ebuild     U ] sys-apps/man-pages-3.20 [2.76] USE="nls" LINGUAS="-cs% -da% -de% -es% -fr% -it% -ja% -nl% -pl% -ro% -ru% -zh_CN%" 1,067 kB
[blocks B     ] <sys-apps/man-pages-3 ("<sys-apps/man-pages-3" is blocking sys-apps/man-pages-posix-2003a)

Total: 322 packages (238 upgrades, 1 downgrade, 78 new, 5 in new slots, 5 uninstalls), Size of downloads: 497,234 kB
Conflict: 10 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-apps/man-pages-posix-2003a', 'merge') pulled in by
    sys-apps/man-pages-posix required by ('ebuild', '/', 'sys-apps/man-pages-3.20', 'merge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



Ho dei problemi simili anche quando cerco di installare networkmanager (ma di cui non ho capito la natura) , che mi è indispensabile per gestire la wirelles!!!!
Code:

Turn on verbose messaging (-v) to ./configure to see the final report.
 If you believe this message is in error you may use the continue
 switch (-continue) to ./configure to continue.
 * ore--
 * ERROR: x11-libs/qt-gui-4.4.2-r3 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_compile
 *             environment, line 3082:  Called qt4-build_src_compile
 *             environment, line 2790:  Called qt4-build_src_configure
 *             environment, line 2798:  Called die
 * The specific snippet of code:
 *       ./configure ${myconf} || die "./configure failed"
 *  The die message:
 *   ./configure failed
 * ore--
 * If you need support, post the topmost build error, and the call sta
ck if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-libs/qt-gu
i-4.4.2-r3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-lib
s/qt-gui-4.4.2-r3/temp/environment'.
 * ore--


ciao!!! :P
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Wed May 06, 2009 9:25 am    Post subject: Re: Aiuto emerge!!! Reply with quote

Pes88 wrote:
Ho installato gentoo da una livecd ormai un po vecchia e volevo aggiornare il sistema

Non farti del male: scaricati un livecd aggiornato, ed ovviamente uno degli ultimi stage (ormai ci sono quelli aggiornati quasi quotidianamente, dentro alla sottocartella "autobuilds/"), così non dovrai effettuare un mega aggiornamento, con tutte le complicazioni che esso si porta dietro.
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
lucapost
Veteran
Veteran


Joined: 24 Nov 2005
Posts: 1415
Location: <ud|me|ts> - Italy

PostPosted: Wed May 06, 2009 10:09 am    Post subject: Reply with quote

Alla fine man-pages-posix non è un pacchetto di sistema come man-pages:
Code:
#> emerge -Cp man-pages-posix man-pages

>>> These are the packages that would be unmerged:

 sys-apps/man-pages-posix
    selected: 2003a
   protected: none
     omitted: none


!!! 'sys-apps/man-pages' is part of your system profile.
!!! Unmerging it may be damaging to your system.


 sys-apps/man-pages
    selected: 3.20
   protected: none
     omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Io sarei per rimuovere man-pages-posix e poi aggiornare il world:
Code:
emerge -C man-pages-posix ; emerge -uND world


Se il livecd dal quale parti è troppo vecchio dovresti fare attenzione al problema di libexpat, cerca nel forum.
Fai comunque attenzione all'aggiornamento di gcc.

/edit
Pes88 wrote:

Ho dei problemi simili anche quando cerco di installare networkmanager (ma di cui non ho capito la natura) , che mi è indispensabile per gestire la wirelles!!!!


per quel che mi riguarda i pacchetti indispensabili da aggiungere per gestire la wireless sono:
Code:
[I] net-wireless/wireless-tools
     Available versions:  29 [M]~30_pre6 [M]~30_pre7 {multicall nls}
     Installed versions:  29(12:26:41 PM 04/11/2009)(nls -multicall)
     Homepage:            http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
     Description:         A collection of tools to configure IEEE 802.11 wireless LAN cards

[I] net-wireless/wpa_supplicant
     Available versions:  0.5.7 ~0.5.8 ~0.5.10 ~0.6.3 0.6.4 ~0.6.9 {dbus debug gnutls gsm kernel_FreeBSD kernel_linux madwifi ps3 qt3 qt4 readline ssl wps}
     Installed versions:  0.6.4(01:44:36 PM 04/11/2009)(dbus kernel_linux readline ssl -debug -gnutls -gsm -kernel_FreeBSD -madwifi -ps3 -qt3 -qt4)
     Homepage:            http://hostap.epitest.fi/wpa_supplicant/
     Description:         IEEE 802.1X/WPA supplicant for secure wireless transfers

_________________
LP
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed May 06, 2009 10:45 am    Post subject: Reply with quote

Il primo problema l'ho risolto!! come mi avete detto voi ho tolto il pacchetto man-pages e emerge è partito...

Quote:

per quel che mi riguarda i pacchetti indispensabili da aggiungere per gestire la wireless sono:
Codice:
Code:

[I] net-wireless/wireless-tools
     Available versions:  29 [M]~30_pre6 [M]~30_pre7 {multicall nls}
     Installed versions:  29(12:26:41 PM 04/11/2009)(nls -multicall)
     Homepage:            http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
     Description:         A collection of tools to configure IEEE 802.11 wireless LAN cards

[I] net-wireless/wpa_supplicant
     Available versions:  0.5.7 ~0.5.8 ~0.5.10 ~0.6.3 0.6.4 ~0.6.9 {dbus debug gnutls gsm kernel_FreeBSD kernel_linux madwifi ps3 qt3 qt4 readline ssl wps}
     Installed versions:  0.6.4(01:44:36 PM 04/11/2009)(dbus kernel_linux readline ssl -debug -gnutls -gsm -kernel_FreeBSD -madwifi -ps3 -qt3 -qt4)
     Homepage:            http://hostap.epitest.fi/wpa_supplicant/
     Description:         IEEE 802.1X/WPA supplicant for secure wireless transfers



Posso capire che questi siano effettivamente quelli indispensabili, ma vorrei evitare ogni volta che voglio connettermi ad una wirelless di dover combattere con iwconfig , iwlist e wpasupplicant !!! Preferisco selezionarla da network manager.... Un po di comodità non fa mai male!!! :) :P :P

Ma quel problema da cosa è dato???
Back to top
View user's profile Send private message
!equilibrium
Bodhisattva
Bodhisattva


Joined: 06 Jun 2004
Posts: 2109
Location: MI/BG/LC

PostPosted: Wed May 06, 2009 12:21 pm    Post subject: Reply with quote

ti faccio notare 3 cose:

1- metti un titolo più esplicativo al thread ;
2- la netiquette impone 1 problema per ogni thread;
3- metti il tag [risolto] al titolo se hai trovato la soluzione al tuo problema.

ti invito a leggere attentamente la netiquette del forum Gentoo e quella del sub-forum Italiano prima di postare, grazie.
_________________
Arch Tester for Gentoo/FreeBSD
Equilibrium's Universe

all my contents are released under the Creative Commons Licence by-nc-nd 2.5
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 237
Location: Viareggio (Lu,Italy)

PostPosted: Wed May 06, 2009 5:43 pm    Post subject: Reply with quote

ciao pes sono alex ;)

per il secondo problema io rimanderei a quando hai installato il desktop environment. Se continui a installare tutte le altre parti del sistema che ti servono, spesso i problemi di compilazione si risolvono da soli. Adesso ti fallisce la compilazione del pacchetto qt-gui che evidentemente ha qualche dipendenza che scavola..

cmq puoi provare anche wicd

magari se prorpio non ti torna apri un altro 3D come ha suggerito !equilibrum
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum